Announcement

Collapse
No announcement yet.

Problem Installing Mirth

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Problem Installing Mirth

    Using RHEL 4. I have downloaded mirth-1.4.0.tar.gz and unpacked it. When I run ./mirth.sh I get:

    [[email protected] mirth]# ./mirth.sh
    Exception in thread "main" java.lang.NoClassDefFoundError: while resolving class: com.webreach.mirth.server.launcher.ClasspathBuilde r
    at java.lang.VMClassLoader.resolveClass(java.lang.Cla ss) (/usr/lib/libgcj.so.5.0.0)
    at java.lang.Class.initializeClass() (/usr/lib/libgcj.so.5.0.0)
    at com.webreach.mirth.server.launcher.Launcher.main(j ava.lang.String[]) (Unknown Source)
    Caused by: java.lang.ClassNotFoundException: javax.xml.parsers.DocumentBuilderFactory not found in [file:mirth-launcher.jar, file:lib/log4j-1.2.13.jar, file:conf/, file:/usr/share/java/libgcj-3.4.6.jar, file:./, core:/]
    at java.net.URLClassLoader.findClass(java.lang.String ) (/usr/lib/libgcj.so.5.0.0)
    at gnu.gcj.runtime.VMClassLoader.findClass(java.lang. String) (/usr/lib/libgcj.so.5.0.0)
    at java.lang.ClassLoader.loadClass(java.lang.String, boolean) (/usr/lib/libgcj.so.5.0.0)
    at _Jv_FindClass(_Jv_Utf8Const, java.lang.ClassLoader) (/usr/lib/libgcj.so.5.0.0)
    at java.lang.Class.forName(java.lang.String, boolean, java.lang.ClassLoader) (/usr/lib/libgcj.so.5.0.0)
    at _Jv_BytecodeVerifier.type.compatible(_Jv_BytecodeV erifier.type&, _Jv_BytecodeVerifier) (/usr/lib/libgcj.so.5.0.0)
    at _Jv_BytecodeVerifier.verify_instructions_0() (/usr/lib/libgcj.so.5.0.0)
    at _Jv_VerifyMethod(_Jv_InterpMethod) (/usr/lib/libgcj.so.5.0.0)
    at _Jv_PrepareClass(java.lang.Class) (/usr/lib/libgcj.so.5.0.0)
    at _Jv_WaitForState(java.lang.Class, int) (/usr/lib/libgcj.so.5.0.0)
    at java.lang.VMClassLoader.linkClass0(java.lang.Class ) (/usr/lib/libgcj.so.5.0.0)
    at java.lang.VMClassLoader.resolveClass(java.lang.Cla ss) (/usr/lib/libgcj.so.5.0.0)
    ...2 more
    Here is what is installed for Java:

    [[email protected] mirth]# rpm -qa | grep java
    java-1.4.2-gcj-compat-1.4.2.0-27jpp
    gcc-java-3.4.6-3.1
    [[email protected] mirth]# rpm -qa | grep jre
    jre-1.5.0_11-fcs
    What am I missing?

    Thanks!

  • #2
    Re:Problem Installing Mirth

    What do you get when you type: java -version

    Post edited by: asmith, at: 05/16/2007 13:25

    Comment

    Working...
    X